Page MenuHomePhabricator

Closing welcome dialog also hides important edit notices
Closed, ResolvedPublic1 Estimated Story Points

Description

On mediawiki.org, I tried to edit the Extension:DonationInterface mess using VE. I had forgotten to log in. Things went fine (other than copy + paste not working), but when I went to save I learned "You are blocked from making edits."

This is a discouraging message to get after having made edits.

Event Timeline

awight created this task.Jan 16 2015, 1:26 AM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a project: VisualEditor.
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2015, 1:26 AM

Are you sure your IP address wasn't actually blocked? WMF office's IP was globally blocked at some point (dunno if still is) to make sure that WMF employees always edit logged in :)

Bah, this is silly. The information that you're blocked is normally displayed in the "edit notices" area, both in VE and in wikitext editor, but when it's your first time making a VE edit, the notices are hidden behind the "welcome dialog" and disappear when you close it. That's a bug.

Krenair renamed this task from VisualEditor: Anonymous editors are allowed to make edits, but are blocked from saving them to Closing welcome dialog also hides important edit notices.Jan 16 2015, 3:05 AM
Krenair set Security to None.
gerritbot added a subscriber: gerritbot.

Change 185393 had a related patch set uploaded (by Bartosz Dziewoński):
Wait with showing edit notices until after the welcome dialog is closed

https://gerrit.wikimedia.org/r/185393

Patch-For-Review

matmarex claimed this task.Jan 16 2015, 7:49 AM
Jdforrester-WMF triaged this task as Medium priority.Jan 16 2015, 7:53 PM
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 3 2015, 6:43 PM

Change 185393 merged by jenkins-bot:
Wait with showing edit notices until after the welcome dialog is closed

https://gerrit.wikimedia.org/r/185393

Jdforrester-WMF edited a custom field.Mar 9 2015, 6:08 PM